> ## Documentation Index
> Fetch the complete documentation index at: https://developers.referly.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Sale

> Deletes a sale based on the ID provided



## OpenAPI

````yaml DELETE /sales
openapi: 3.0.1
info:
  title: Referly API
  description: API for managing affiliates, referrals, and sales for SaaS businesses
  version: 1.0.0
servers:
  - url: https://www.referly.so/api/v1
security:
  - bearerAuth: []
paths:
  /sales:
    delete:
      summary: Delete a sale
      description: Deletes a sale based on the ID provided
      requestBody:
        description: Sale delete details
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SaleDelete'
        required: true
      responses:
        '204':
          description: Sale deleted successfully
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    SaleDelete:
      type: object
      required:
        - saleId
      properties:
        saleId:
          type: integer
          description: The sale ID to delete
    Error:
      type: object
      properties:
        error:
          type: integer
          description: Error code
        message:
          type: string
          description: Error message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````